//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

namespace CommunityServer.ControlPanel.Photos
{
    public abstract class GalleryCommand
    {
        public virtual string OK
        {
            get { return CommunityServer.Components.ResourceManager.GetString("OK");}
        }

        public virtual string Cancel
        {
            get { return CommunityServer.Components.ResourceManager.GetString("Cancel");}
        }

        public virtual string Title
        {
            get { return "Gallery Command";}
        }

        public abstract string Message(GalleryCommandPage page);
        public abstract void Action(GalleryCommandPage page);

        public virtual string CloseScript(GalleryCommandPage page)
        {
            return "window.parent.Telligent_Modal.Close(true);";
        }

		
    }
}